Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.llp
Class MLLPV2.MLLPV2DBConnectionManager

    java.lang.Object
      com.stc.connector.hl7.framework.llp.MLLPV2.MLLPV2DBConnectionManager

Enclosing class:
  MLLPV2

    public static class MLLPV2.MLLPV2DBConnectionManager

extends java.lang.Object

Method Summary
`DBConnection` | `getDBConnection()` Method getDBConnection used only for MLLPV2 to get the DBConnection.
`DBObjectFactory` | `getDBObjectFactory()` Method getDBObjectFactory used only for MLLPV2 to get the DBObjectFactory.
`static MLLPV2.MLLPV2DBConnectionManager` | `getInstance(java.lang.String datasourceJNDIName, javax.naming.InitialContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static MLLPV2.MLLPV2DBConnectionManager getInstance(java.lang.String datasourceJNDIName,
                                                               javax.naming.InitialContext ctx)
                                                        throws javax.naming.NamingException,
                                                               HL7ApplicationException

  Throws:
    `javax.naming.NamingException`
    `HL7ApplicationException`

### getDBConnection

    public DBConnection getDBConnection()
                                 throws java.lang.Exception

  Method getDBConnection used only for MLLPV2 to get the DBConnection.

  Returns:
    `dbcon` - DBConnection.
  Throws:
    `java.lang.Exception`

### getDBObjectFactory

    public DBObjectFactory getDBObjectFactory()

  Method getDBObjectFactory used only for MLLPV2 to get the DBObjectFactory.

  Returns:
    `dbObjFactory` - DBObjectFactory.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD